7 Replies Latest reply on May 25, 2016 5:04 AM by DaanrDev

    All Phonegap Build is failing (May be due to dependency? )

    diviyahb

      Im building the Phonegap App using Phonegap Build.

      Phonegap Build cant create Android APK, build is failing with below error, Morning I was able to create the APK but now below error is thrown. Note that there is no config file changes between morning and now.

      Looking for solution to below build issue. Whether its dependency issue? What config changes I need to do. Please help

      App Id: 2074580

      https://build.phonegap.com/apps/2074580/builds

       

      Could not resolve all dependencies for configuration ':_debugCompile'.

        > Could not find com.android.support:support-v4:23.4.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/23.4.0/support-v4-23.4.0.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/23.4.0/support-v4-23.4.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/23.4.0/suppo rt-v4-23.4.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/23.4.0/suppo rt-v4-23.4.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/23.4.0/suppor t-v4-23.4.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/23.4.0/suppor t-v4-23.4.0.jar

        Required by:

        :project:unspecified

       

      Message was edited by: Divyah B